Page MenuHome

Sample file for grass and flowers
Closed, ResolvedPublicDESIGN

Authored By
Dalai Felinto (dfelinto)
Nov 3 2020, 4:12 PM
Tokens
"Love" token, awarded by DimitriBastos."100" token, awarded by satishgoda."Love" token, awarded by YetAnotherNiceName."Love" token, awarded by RC12."Love" token, awarded by dfelinto."Love" token, awarded by jbakker.

Description

This sample file will be used to show scattering beyond the pebble use case.

The idea is to be able to scatter different types of flowers and grass (and pebbles)

Event Timeline

Dalai Felinto (dfelinto) changed the task status from Needs Triage to Confirmed.Nov 3 2020, 4:12 PM
Dalai Felinto (dfelinto) created this task.

Nodes that are planned to be used (besides the one by the pebble file):

Dalai Felinto (dfelinto) changed the subtype of this task from "To Do" to "Design".Nov 9 2020, 2:43 PM

File

The file contains both a scene using the old particle system and other methods as a goal to recreate with the new (yet to be implemented) features and a scene prepared to be adapted using the new features of the geometry nodes branch.
(By design the new scene uses features that are not yet implemented, so it is incomplete by the time of initial setup and to be updated throughout the progress of development.)

The file uses multiple layers of instancingfor the creation of the trees.

And modularly built flower assets to be scattered as instances of collections (formerly not possible).


[flower and grass assets taken from the production repository of 'Sprite Fright', made by Andy Goralczyk]

Needed features as planned by the design for this file:

  • Texture sampling to an attribute from a texture using the UV coordinates inherited by the pointcloud
  • instancing on a pointcloud randomly from a collection of objects (objects can be instances)
  • manual editing of location, rotation and scale of points of a pointcloud
  • applying/baking a point cloud after scattering using the nodes modifier

Adjustment notes after design discussion:

Will adapt this scene slightly to make more use of splitting pointclouds into subsets (point separation based on image texture, more flower types to be scattered without intersection)
The manual pointcloud manipulation will be split of from this usecase (instancing of leaves and branches)

Simon Thommes (simonthommes) renamed this task from Sample file for trees and flowers to Sample file for grass and flowers.Dec 11 2020, 7:29 PM
Simon Thommes (simonthommes) updated the task description. (Show Details)

  • The file is still work in progress, as I don't have the nodes to implement the new version yet.
  • But I updated the file with another flower type to mix between them with point separation as outlined by the use-case design.
  • As the tree use-case is split off from this, I removed their setup for the use-case. I kept the manually created trees in there as decoration, but if they are just source for confusion, I can remove them completely.
    • (Larger scale tree distribution can also well be covered with this example, what is still an issue that we don't address within this use-case is the intersection between different scattering systems)
  • I outlined the plan for scattering the flower types in the documentation within the file for when the nodes are ready. Faking this kind of setup with the old particle system proved quite challenging, so I left it at a halfway point,as it is by far not as important as the example using geometry nodes.

I updated the file for the sprint demo.

I updated the file for the sprint demo.

Thanks for the file. Don't know if this is the right place to ask, but I would like to ask you about angles and rotation. Is angle a default attribute or is something you've created for the scattering itself?

@Dimitri Bastos (DimitriBastos)

angle is specifically created to be used to control the rotate points node. The attribute that is used for the orientation of points in the point instancing node is rotation

@Dimitri Bastos (DimitriBastos)

angle is specifically created to be used to control the rotate points node. The attribute that is used for the orientation of points in the point instancing node is rotation

Thanks!

Hi Simon, the file looks great.

Could you just prepare the README file and the file so it is ready for people to "play with it"? This way I can move the file to download and close this task.

If you think the thumbnail should be anything other than the rendering let me know (or better, just add the thumbnail to use here. We need it with aspect ratio: 480x270.

I polished the file in terms of demoing and wrote a readme:

Here is a screenshot of the file open


And here a rendering

Thank you! Added to the main page with a link to the direct download link (to be enabled for 2.93):
https://developer.blender.org/project/manage/121/

Dalai Felinto (dfelinto) closed this task as Resolved.Feb 1 2021, 2:16 PM